#include <Adafruit_NeoPixel.h>

Adafruit_NeoPixel leds(32, 3, NEO_GRB + NEO_KHZ800);

void setup() {
  leds.begin(); 
  leds.setBrightness(50);
  leds.show();
}
void loop() {
  uint32_t rouge = leds.Color(255, 0, 0);
  uint32_t vert = leds.Color(0, 255, 0);
  uint32_t bleu = leds.Color(0, 0, 255);    
  chenillard(rouge, 100);
  chenillard(vert, 100);
  chenillard(bleu, 100);    
}

void chenillard(uint32_t couleur, int temp) {
  for(uint16_t i=0; i<=9; i++) {
    leds.setPixelColor(i, couleur);
    leds.show();
    delay(temp);
    leds.clear();
    }
    for(uint16_t i=14; i>=12; i--) {
    leds.setPixelColor(i, couleur);
    leds.show();
    delay(temp);
    leds.clear();
    }
    for(uint16_t i=19; i>=18; i--) {
    leds.setPixelColor(i, couleur);
    leds.show();
    delay(temp);
    leds.clear();
    }
    for(uint16_t i=23; i<=31; i++) {
    leds.setPixelColor(i, couleur);
    leds.show();
    delay(temp);
    leds.clear();
    }
    for(uint16_t i=20; i<=22; i++) {
    leds.setPixelColor(i, couleur);
    leds.show();
    delay(temp);
    leds.clear();
    } 
    for(uint16_t i=17; i>=15; i--) {
    leds.setPixelColor(i, couleur);
    leds.show();
    delay(temp);
    leds.clear();
    }  
    for(uint16_t i=10; i<=11; i++) {
    leds.setPixelColor(i, couleur);
    leds.show();
    delay(temp);
    leds.clear();
  }  
}
